Subject: BUG: 2.1.11 & WinList

From: Nadim Saeed <[email-masked]>
Date: Tue, 9 Feb 1999 12:05:30 -0800 (XXX)

Brad Giaccio <[email-masked]> writes:
> On Fri, Feb 05, 1999 at 11:47:19PM +0100, Matthias Clasen wrote:
> > Sorry, I haven't followed the discussion
> > about FvwmWinList problems on this list,
> > but I am experiencing the following problems
> > with FvwmWinList and fvwm2.1.11: 
> > FvwmWinList clicking on an item to transfer focus
> >   does transfer the focus, but doesn't depress the
> >   item. To be more precise, the button depressing is
> >   lagging behind the focus change; if the button of
> >   win1 is depressed, I can press the button of win2
> >   to transfer the focus to win2 (while the first button
> >   is still depressed). Pressing the button of win3
> >   moves the focus to win3, but depresses the button 
> >   of win2.
> > 
> >   Also, if I have multiple nxterm windows, then moving
> >   the focus from one to the other (by moving the mouse
> >   over them) will sometimes not change the depressed
> >   items. The button of the second nxterm flashes, but
> >   the depressed state "jumps back" to the first nxterm.
> >    
> > This is with a fairly standard RedHat 5.1 setup.
> > 
> 
> This looks like it it might be related to my problem as well, It seems
> like the current cvs for FvwmWinList is always waiting for focus change
> events to update itself.  Did anyone put a change like this in?
> 
> Brad

I'm also seeing some odd behavior in WinList with the latest version of fvwm.
FvwmWinList, in 2.1.5 for example, would highlight the current focused window
(by highlight I mean either a depressed look or a button color change
depending on one's setup).  What's happening now is that the highlight of the
button happens _after_ focus is removed from a window.

Here are relevant parts of my .fvwmrc file

########################## FvwmWinList #####################################
*FvwmWinListBack Gray59
*FvwmWinListFore Yellow
*FvwmWinListFont -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1, Raise, Focus
*FvwmWinListAction Click2 Iconify 1
*FvwmWinListAction Click3 WindowList
*FvwmWinListUseSkipList
*FvwmWinListGeometry +0+0

The behavior, as noted above, is different from 2.1.5

Please cc me.

 - Nadim
--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].